v1.37.29 (25.06.2015)
! не реагировал на карты, подносимые к считывателю, после записи на Temic (в режиме поиска или добавления)
! с русским языком интерфейса не работала команда записи на Temic (обновлены все языковые модули)

v1.36.28 (17.06.2015)
* теперь RFID-номер всегда отображается в списке ключей

v1.36.27 (14.05.2015)
! исправлено возможное зависание при запуске BaseZ5R
+ в справку добавлена страница "Вопросы и ответы"

v1.36.26 (17.03.2015)
! исправлено чтение номеров радио-брелков IL-100 с помощью Z-2 EHR

v1.36.25 (20.02.2015)
! исправлена сортировка по столбцу "RFID номер" (обновлен алгоритм сортировки списка ключей)

v1.36.24 (16.02.2015)
! исправлена сортировка по столбцу "RFID номер"

v1.36.23 (27.01.2015)
! исправлено чтение номеров радио-брелков IL-100 с помощью Z-2 EHR

v1.36.21 (26.12.2014)
! исправлена запись БД с короткими ключами в Z-5R 5000

v1.36.20 (14.12.2014)
+ добавлена возможность записи номера Em-Marine, HID W26 на карту Temic (T5557) с помощью считывателей Z-2 USB и Z-2 EHR

v1.36.19 (09.12.2014)
! исправлена ошибка добавления ключей с помощью usb-считывателя: номер укорачивался до 3 байтов
* изменен шрифт в таблицах на "Courier New"

v1.36.18 (02.12.2014)
- убрана поддержка устаревшего формата данных контроллера
* обновлен итальянский язык интерфейса и соответствующее руководство пользователя
* обновлен английский язык интерфейса и соответствующее руководство пользователя

v1.36.17 (07.11.2014)
! исправлено редактирование ключей с номерами "D...."

v1.36.16 (21.10.2014)
* выбор порта считывателя в главном меню "Настройка\Порт считывателя"
+ итальянский язык интерфейса
+ болгарский язык интерфейса
+ английский файл справки

v1.36.15 (03.03.2014)
! ошибка при чтении ключей через эмуляцию DS1996 (появлялся лишний ключ)
! при записи ключей через эмуляцию DS1996 включался режим ACCEPT
! исправление работы со считывателем Z-2 USB MF, на некоторых ПК вызывало зависание на несколько секунд
* усовершенствована система локализации

v1.36.14 (25.11.2013)
- удалена поддержка старых форматов контроллеров

v1.36.13 (14.11.2013)
! исправлена ошибка поиска ключа в формате Em-Marine ("123,45678")
! окна поиска (меню База -> Поиск...) не открывалось больше 1 раза
* обновлена библиотека ZReader.dll (Sdk Readers)

v1.36.12 (16.09.2013) beta
* отключена "ZReader.dll"

v1.36.11 (22.07.2013)
* обновлена библиотека ZReader.dll

v1.36.10 (25.03.2013)
+ добавлен поиск ключа по всем базам данных
+ добавлены команды в меню DS1996: 1) Эмуляция: передача 2) Эмуляция: получение. Добавлена кнопка "Эмулировать" для панели "Свойства ключа"

v1.36.9 (13.03.2013)
+ возможность импортировать базы Vizit в формате "report.txt"

v1.36.8 (21.02.2013)
* переключатель "Тип ключа" меняет отображение номера в столбце "RFID номер" для ключей, тип которых не известен

v1.36.7 (05.02.2013)
! исправление алгоритма определения емкости контроллера

v1.36.6 (10.12.2012)
* при добавлении ключа вручную если тип ключа не указан, то устанавливается тип "Обычный"

v1.36.5 (06.11.2012)
! не работала команда "Подготовка контроллера Z5R"

v1.36.4 (23.08.2012)
! некорректно записывался аттрибут ключа когда определен тип ключа

v1.36.3 (02.08.2012)
! косметические исправления в окне Mifare (чтение/запись на карты Mifare)
* после записи БД на карту Mifare происходит подготовка оставшихся секторов карты
+ возможность добавления номеров карт Mifare 1K/4K с помощью считывателя Z2USB MF (Ключ->режим заполнения)

v1.36.0 (27.07.2012)
* Английский перевод добавлен в exe файл.
  Русский язык вынесен в Z3rRus.dll.

v1.35.2 (08.05.2012)
* исправлена команда "Mifare\подготовка"

BaseZ5Rtv35 (05.05.2012)
* изменена функция тестирования контроллера Z5R
+ возможность записи БД на карты Mifare 1K/4K для переноса в контроллер, и возможность чтения БД с карт Mifare 1K/4K

BaseZ5Rtv34 (13.04.2012)
* в меню отображается список только существующих COM-портов
! с первого раза не подключался к "Адаптер Z-2 EHR"

Base Z5Rtv33 (20 февраля 2012)
+ поддержка брелков IL100/IL99 для считывателя "Адаптер Z-2 EHR"

Base Z5Rtv32 (14 ноября 2011):
+ добавлена команда чтения памяти Z5r в файл
+ добавлена команда записи памяти Z5r из файла
+ добавлена команда тестирования памяти Z5r
+ добавлена команда форматирования памяти Z5r

Base Z5Rtv30 (17 октября 2011):
* изменена папка установки программы по-умолчанию
* теперь сбрасываются права владельца файла для создаваемых баз и при сохранении базы

Base Z5Rtv29 (20 июня 2011):
+ добавлен язык интерфейса "Английский"

Base Z5Rtv28 (22 июля 2010):
* временно убрана поддержка Win98

Base Z5Rtv27 (24 мая 2010):
* поддержка Win98

Base Z5Rtv26 (5 ноября 2009):
+ добавлена возможность импорта баз ключей Vizit

Base Z5Rtv25 (24 августа 2009):
+ добавлена возможность установки для ключа аттрубута "Неактивный"
! исправлена ошибка при экспорте/импорте: время открывания замка некорректно устанавливалось
! исправлена ошибка при экспорте/импорте: не правильно предлагалось имя файла в диалоге открытия/сохранения файла

Base Z5Rtv24 (21 августа 2009):
+ добавлен экспорт базы в бинарный файл (для записи командой "Файл->DS1996L...") и импорт базы
! исправлена ошибка при чтении базы из DS1996L: некорректно считывались короткие номера

Base Z5Rtv22 (10 июля 2009):
! исправлен режим конвертера: не всегда передавал повторяющиеся цифры в номере ключа

Base Z5Rtv20 (03 апреля 2009):
! Исправлена ошибка версии tv18, при поиске номер ключа в БД

Base Z5Rtv19 (02 апреля 2009):
! Исправлена ошибка версии tv18, при которой терялся полный номер ключа
! исправлена ошибка поиска дубликатов ключа в БД

Base Z5Rtv18 (01 апреля 2009):
+ В главное меню добавлена опция "Точный поиск ключа", которая позволяет искать ключи по полному номеру, если полный номер известен
! Исправлен баг: терялась одна цифра в номере ключа при экспорте в DS1996L или в контроллер Z5r

Base Z5Rtv17 (23 июля 2008):
! Исправлена ошибка записи баз данных в контроллер (это ошибка происходила только с некоторыми базами данных).

Base Z5Rtv15 (25 января 2007):
+ Добавлена возможность поиска ключа в БД по номеру или по комментарию с помощью
панели Ключ.

Base Z5Rtv14 (12 декабря 2006):
* Усовершенствован режим конвертора, передающего номера ключей со считывателя во 
внешнюю программу.

Base Z5Rtv12 (27 февраля 2006):
! Исправлена ошибка записи базы ключей на DS1996L или на Z5R.

Base Z5Rtv11 (16 февраля 2006):
! Исправлена ошибка подготовки ключа DS1996L.

Base Z5Rtv10 (17 января 2006):
+ Добавлена возможность вводить вручную короткий номер ключа в десятичном виде: 
Вариант А: вводить 3 десятичных числа разделенные пробелами
Вариант Б: ввести символ "D" и сразу за символом одно десятичное число.

Base Z5Rtv9 (15 декабря 2005):
! Исправлена ошибка: ошибка записи/чтения в контроллер с памятью на 1364 ключа.

Base Z5Rtv8 (07 октября 2005):
! Исправлена ошибка: не все ключи считывались из контроллера в базу.

Base Z5Rtv7 1.07 (23 мая 2005):
+ Добавлена поддержка контроллеров с памятью на 1364, 2729 и 5460 ключей.

Base Z5Rtv6 1.06 (20 мая 2005):
+ Добавлена возможность создавать вручную карточки Em-Marine в БД (базе данных):
для этого нужно в панели свойств ключа ввести номер Em-Marine через символ ',' или '.', 
например, "123,45678", и затем нажать на кнопку "Добавить".
* В режиме добавления ключей: если ключ найден в БД, то запись о нем в БД обновляется, 
т.е. перезаписываются тип, аттрибут и номер ключа
! Исправлена ошибка: при изменении свойств ключа БД в строке состояния не обновлялся 
номер карточки Em-Marine
+ Добавлен столбец "Номер Em-Marine", в котором отображаются номера карточек Em-Marine. 
Это работает только для ключей с типом "EM" в БД.
* В панели свойств ключа номер ключа Em-Marine отображается в формате Em-Marine, 
например, "123,45678".
* Усовершенствована функция печати.

Base Z5Rtv5 1.05 (11 февраля 2005):
! Исправлен формат баз данных dBase (DBF4). В результате базы, сохраненные в tv5
можно редактировать в других программах для работы с форматом dBase, можно изменять не только номера и описания ключей, но и описание базы (первая строка с номером -1).
Длина описания ключа расширена до 100 символов.

Base Z5Rtv4 1.04 (24 мая 2004):
! Исправлен формат баз данных dBase. В результате базы, сохраненные в tv4,
будут читаться в других программах для чтения dBase (иногда для этого 
требуется удалить описание базы). Но такие базы не читаются в предыдущих 
версиях BaseZ5R. Но если всё-таки понадобится сохранить базу в старом 
формате, то можно это сделать с помощью функции "Сохранить как..." меню "База",
выбрав фильтр "Базы (*.dbf)".
+ Сделана функция сравнения 2х баз. Чтобы сравнить 2 базы нужно их выделить: 
1) С помощью мыши и клавиатуры: кликнуть по первой базе, затем удерживая 
клавишу Ctrl на клавиатуре кликнуть по второй базе.
2) С помощью клавиатуры: клавишами со стрелками «Вверх» и «Вниз» выделить 
первую базу, затем, удерживая клавишу Ctrl клавишами со стрелками, пометить 
вторую базу, а затем нажать на пробел, чтобы её выделить.
Затем нажать Enter. В результате откроются 2 базы. Затем нужно нажать на 
кнопку "Сравнить" в наборе инструментов. В итоге появится сообщение о 
результате сравнения, и различные записи в базах будут помечены красным цветом.
+ Сделана возможность печати одной или двух баз. Для этого в меню "База" 
добавлена команда "Печать...", которая активна лишь при просмотре ключей.

Base Z5Rtv3 1.03 (18 мая 2004):
! Исправлены некоторые сообщения для функций с контроллером Z5R
! Исправлена ошибка записи базы на Z5R, с количеством ключей больше 280
! Исправлена ошибка, при которой во время чтения или записи на Z5R 
при нарушении контакта, процесс записи или чтения не продолжался после 
восстановления контакта
! Исправлена ошибка: после законченной записи в контроллер при чтении 
записанных ключей из Z5R, появлялось сообщение о том, что база записана не
полностью

Base Z5Rtv2 1.02 (03 декабря 2003):
* При считывании базы из DS1996 проверяется тип данных
и выдается сообщение

Base Z5Rtv1 1.02 (01 декабря 2003):
! Исправлены ошибки чтения базы в DS1996L, которая 
появлялась при сравнении номеров ключей

Base Z5Rtv 1.02 (26 ноября 2003):
! Исправлены ошибки чтения базы в DS1996L, которая 
появлялась при нарушении контакта с ключом

Base Z5Rt2 1.02 (25 ноября 2003):
! Исправлены ошибки чтения\записи базы\конторллера в DS1996L
+ Добавлено предупреждение об ограничении памяти контроллера Z5R, которое
появляется при добавлении лишнего ключа и перед записью базы с лишними ключами
в DS1996

Base Z5Rt1 1.02 (19 ноября 2003):
! Исправлена ошибка чтения\записи базы в DS1996L

Base Z5R 1.02 (12 ноября 2003):
* Автоматическое продолжение записи/чтения с базы/файла/контроллера при
нарушении контакта с ключом DS1996/контроллером
* Раскраска списка

Base Z5R 1.01 (18 сентября 2003):
! Исправлена ошибка загрузки информации из DS1996 в файл и сохранения
информации из файла в DS1996

Base Z5R 1.00 (15 августа 2003):
+ В меню "Ключ" появились 3 команды "Из базы в контроллер Z5R"
и "Из контроллера Z5R в базу" и "Очистить память контроллера Z5R" для работы 
с контроллером Z5R. с их помощью можно записывать базу на контроллер и, 
наоборот, считывать базу из контроллера, и стирать память контроллера Z5R.
* Изменен набор инструментов:
	1) InternetExplorer стиль
	2) Добавлены 3 кнопки, соответствующие 3 новым командам в меню
"Из базы в контроллер Z5R"и "Из контроллера Z5R в базу"
* Улучшена перерисовка главного окна программы

Base Z5 4.00 (11 июля 2003):
+ В меню "DS1996" появились две команды "В файл..." и "Из файла", с 
помощью которых можно считать из ключа DS1996 и сразу сохранить в файл 
в двоичном виде (как есть), и наоборот, считать из файла и записать в DS1996.
* Авто обновление при изменении имени файла в директории с файлами базам
* Сортировка списка файлов баз
* Улучшена перерисовка главного окна программы
* Сообщения об ошибках заменены на стандартные

Base Z5 3.00 (18 мая 2003):

* В режиме поиска ключа для сравнения используется его полный номер
+ Добавлен режим ручного ввода ключей, который позволяет создавать/изменять
записи ключей вручную
+ В режиме просмотра баз появилась возможность создать базу, нажав на кнопку
"Создать" на панели инструментов. Эта кнопка появляется, когда в списке
ничего не выделено.
+ В режиме просмотра ключей появилась возможность добавить/изменить ключ
вручную.
Чтобы добавить новый ключ в базу установите его параметры и нажмите
кнопку "Добавить" на панели инструментов.
Чтобы изменить выбранный ключ, установите режим ручного ввода ключей, нажав
на команду "режим ручного ввода" в меню "Ключ".
+ Запоминает, развернуто ли было окно программы до закрытия и когда нужно
при открытии разворачивает его.
! Исправлена ошибка переименовывания файла, при которой терялись все записи
файла базы

Base Z5 2.00 (25 марта 2003):
+ Добавлен буфер обмена. Теперь можно копировать/вставлять выбранные ключи из
одной базы в другую
+ Добавлен файл справки
* Для обмена информацией с прибором используется поток вместо таймера.
Вследствие этого увеличилась скорость программы, появились возможности отмены
записи/чтения ключей DALLAS 1996.
+ Появилась возможность подключаться к любому COM-порту компьютера во время
выполнения программы.
+ Добавлена возможность устанавливать выбранный язык интерфейса программы.
+ Добавлена возможность выбрать размер шрифта для списка (Мелкий, средний или
крупный)
+ Добавлены оперативные (быстрые) клавиши для ускорения работы с программой.

Base Z5 1.00:
+ Работает с ключами DALLAS и карточками Em-Marine.
+ Хранит информацию о карточках и ключах в файлах формата DBF

